<?php namespace Webmors\Catalog\Models;

use Model;

/**
 * Model
 */
class Section extends Model
{
    use \October\Rain\Database\Traits\Validation;
    
    use \October\Rain\Database\Traits\SoftDelete;

    use \October\Rain\Database\Traits\Sortable;

    use \October\Rain\Database\Traits\Sluggable;

    protected $dates = ['deleted_at'];

    protected $slugs = ['contentslug' => 'title'];

    /**
     * @var string The database table used by the model.
     */
    public $table = 'webmors_catalog_section';

    public $belongsTo = [
        'tabsection' => ['Webmors\Catalog\Models\Tabsection'],
        'product' => ['Webmors\Catalog\Models\Product']
    ];

    public $implement = ['RainLab.Translate.Behaviors.TranslatableModel'];
        
    public $translatable = ['title','description','listitems','gallery','accorditems']; 

    protected $jsonable = ['listitems', 'gallery', 'accorditems'];
    
    /**
     * @var array Validation rules
     */
    public $rules = [
    ];
}
