<?php namespace Webmors\Catalog\Updates;

use Schema;
use October\Rain\Database\Updates\Migration;

class BuilderTableUpdateWebmorsCatalogProduct24 extends Migration
{
    public function up()
    {
        Schema::table('webmors_catalog_product', function($table)
        {
            $table->boolean('is_featured')->nullable()->change();
            $table->text('features_repeater')->nullable()->change();
            $table->text('preview_image')->nullable()->change();
            $table->text('cover')->nullable()->change();
            $table->text('price')->nullable()->change();
            $table->text('video_link')->nullable()->change();
            $table->text('video_poster')->nullable()->change();
            $table->text('video_caption')->nullable()->change();
            $table->text('accordion_repeater')->nullable()->change();
            $table->text('gallery_repeater')->nullable()->change();
            $table->text('contact_name')->nullable()->change();
            $table->text('contact_phone')->nullable()->change();
            $table->text('contact_email')->nullable()->change();
            $table->text('contact_title')->nullable()->change();
            $table->text('preview_image_label')->nullable()->change();
            $table->text('file')->nullable()->change();
            $table->text('manufacturer_name')->nullable()->change();
            $table->text('manufacturer_logo')->nullable()->change();
            $table->text('preview_text')->nullable()->change();
            $table->smallInteger('hide_read_more')->nullable()->change();
            $table->integer('sort_order')->nullable()->change();
            $table->text('description')->nullable()->change();
            $table->text('location')->nullable()->change();
            $table->text('status')->nullable()->change();
            $table->text('contact_slogan')->nullable()->change();
            $table->text('contact_image')->nullable()->change();
        });
    }
    
    public function down()
    {
        Schema::table('webmors_catalog_product', function($table)
        {
            $table->boolean('is_featured')->nullable(false)->change();
            $table->text('features_repeater')->nullable(false)->change();
            $table->text('preview_image')->nullable(false)->change();
            $table->text('cover')->nullable(false)->change();
            $table->text('price')->nullable(false)->change();
            $table->text('video_link')->nullable(false)->change();
            $table->text('video_poster')->nullable(false)->change();
            $table->text('video_caption')->nullable(false)->change();
            $table->text('accordion_repeater')->nullable(false)->change();
            $table->text('gallery_repeater')->nullable(false)->change();
            $table->text('contact_name')->nullable(false)->change();
            $table->text('contact_phone')->nullable(false)->change();
            $table->text('contact_email')->nullable(false)->change();
            $table->text('contact_title')->nullable(false)->change();
            $table->text('preview_image_label')->nullable(false)->change();
            $table->text('file')->nullable(false)->change();
            $table->text('manufacturer_name')->nullable(false)->change();
            $table->text('manufacturer_logo')->nullable(false)->change();
            $table->text('preview_text')->nullable(false)->change();
            $table->smallInteger('hide_read_more')->nullable(false)->change();
            $table->integer('sort_order')->nullable(false)->change();
            $table->text('description')->nullable(false)->change();
            $table->text('location')->nullable(false)->change();
            $table->text('status')->nullable(false)->change();
            $table->text('contact_slogan')->nullable(false)->change();
            $table->text('contact_image')->nullable(false)->change();
        });
    }
}
